from distutils.core import setup, Extension

ext = Extension('xiter', 
    sources=['xiter.c'],
    extra_compile_args=['-O3', '-std=c99', '-Ofast'],
    extra_link_args=["-s"],
    language="c",
)

setup(
    name='xiter', 
    author='S-YOU', author_email='S-YOU@users.noreply.github.com', 
    version='0.0.1', 
    url = 'https://github.com/S-YOU/xiter',
    download_url = 'https://github.com/S-YOU/xiter/tarball/master',
    ext_modules=[ext]
)
